> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reelevant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List available hierarchy values at a specific level

> Returns distinct hierarchy values at the next level after the given hierarchy path.
Pass no hierarchy to get top-level folder names.
Pass ["Marketing"] to get subfolders under Marketing.
Pass ["Marketing", "Q4"] to get subfolders under Marketing > Q4.



## OpenAPI

````yaml /api-reference/openapi/datasources-api.json get /hierarchy/values
openapi: 3.0.0
info:
  title: datasources-api
  version: 0.0.0
  description: |-
    # Errors
    | Error code | Message | HTTP status code | Payload |
    | :--- | :--- | :--- | :--- |
    | number | string | 409 |  |
servers:
  - url: https://api.reelevant.com/v2/datasources/
    description: production
security: []
paths:
  /hierarchy/values:
    get:
      tags:
        - Datasource
      summary: List available hierarchy values at a specific level
      description: >-
        Returns distinct hierarchy values at the next level after the given
        hierarchy path.

        Pass no hierarchy to get top-level folder names.

        Pass ["Marketing"] to get subfolders under Marketing.

        Pass ["Marketing", "Q4"] to get subfolders under Marketing > Q4.
      operationId: list-hierarchy-datasource
      parameters:
        - name: hierarchy
          in: query
          schema:
            type: array
            items:
              type: string
            description: >-
              Parent hierarchy path. The endpoint returns children at the next
              level.

              Empty or omitted returns top-level folders.
          required: false
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - success
                    required:
                      - status
                    additionalProperties: false
                  - $ref: '#/components/schemas/InternalResponse_Array_string'
      security:
        - password_auth: []
components:
  schemas:
    InternalResponse_Array_string:
      type: object
      properties:
        program:
          type: string
        version:
          type: string
        datetime:
          type: string
        status:
          type: string
        code:
          type: number
        message:
          type: string
        data:
          type: array
          items:
            type: string
      required:
        - program
        - version
        - datetime
        - status
        - message
        - data
      additionalProperties: false
  securitySchemes:
    password_auth:
      type: oauth2
      flows:
        password:
          tokenUrl: https://api.reelevant.com/v1/auth/token
          refreshUrl: https://api.reelevant.com/v1/auth/token
          scopes: {}

````